VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Connect"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Description = "basicpro VB-Test"

Implements IDTExtensibility

Public WithEvents MenuHandler As CommandBarEvents
Attribute MenuHandler.VB_VarHelpID = -1

Private mcbMenuCommandBar As Office.CommandBarControl
Private m_Window As VBIDE.Window
Private mVbTestDoc As VbTestDoc

Private Sub Class_Initialize()
Set m_Window = Nothing
End Sub

Private Sub IDTExtensibility_OnConnection(ByVal VBInst As Object, ByVal ConnectMode As vbext_ConnectMode, ByVal AddInInst As VBIDE.AddIn, custom() As Variant)
On Error GoTo error_handler

Set m_Window = VBInst.Windows.CreateToolWindow(AddInInst, "VbtestAddIn.VbTestDoc", "basicpro VB-Test", "{CAE048F0-10F7-11d3-85B1-00A024520602}", mVbTestDoc)
mVbTestDoc.InitDoc VBInst, Me
If ConnectMode = vbext_cm_AfterStartup Then
   If GetSetting(App.Title, "Settings", "DisplayOnConnect", "1") = "1" Then m_Window.Visible = True
End If

Dim cbMenu As CommandBar
Set cbMenu = VBInst.CommandBars("View"): If cbMenu Is Nothing Then MsgBox "AddToAddInCommandBar error": Exit Sub
Set mcbMenuCommandBar = cbMenu.Controls.Add(msoControlButton)
mcbMenuCommandBar.Caption = "basicpro VB-Test"
Set Me.MenuHandler = VBInst.Events.CommandBarEvents(mcbMenuCommandBar)

Exit Sub
error_handler:
MsgBox Err.Description
End Sub

Private Sub IDTExtensibility_OnDisconnection(ByVal RemoveMode As vbext_DisconnectMode, custom() As Variant)

mcbMenuCommandBar.Delete
SaveSetting App.Title, "Settings", "DisplayOnConnect", IIf(m_Window.Visible, "1", "0")

Set mVbTestDoc = Nothing
m_Window.Close
Set m_Window = Nothing

End Sub

Private Sub IDTExtensibility_OnStartupComplete(custom() As Variant)
If GetSetting(App.Title, "Settings", "DisplayOnConnect", "1") = "1" Then
   m_Window.Visible = True
End If
End Sub

Private Sub IDTExtensibility_OnAddInsUpdate(custom() As Variant)
'
End Sub

Private Sub MenuHandler_Click(ByVal CommandBarControl As Object, handled As Boolean, CancelDefault As Boolean)
m_Window.Visible = True
m_Window.SetFocus
End Sub

